#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20220814.sql ./mysql/db
cp ../sql/ry_config_20220510.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../yanzhu-ui-vue3/dist/** ./nginx/html/dist

# copy jar
echo "begin copy yanzhu-gateway "
cp ../yanzhu-gateway/target/yanzhu-gateway.jar ./yanzhu/gateway/jar

echo "begin copy yanzhu-auth "
cp ../yanzhu-auth/target/yanzhu-auth.jar ./yanzhu/auth/jar

echo "begin copy yanzhu-visual "
cp ../yanzhu-visual/yanzhu-monitor/target/yanzhu-visual-monitor.jar  ./yanzhu/visual/monitor/jar

echo "begin copy yanzhu-modules-system "
cp ../yanzhu-modules/yanzhu-system/target/yanzhu-modules-system.jar ./yanzhu/modules/system/jar

echo "begin copy yanzhu-modules-manage "
cp ../yanzhu-modules/yanzhu-manage/target/yanzhu-modules-manage.jar ./yanzhu/modules/manage/jar

echo "begin copy yanzhu-modules-file "
cp ../yanzhu-modules/yanzhu-file/target/yanzhu-modules-file.jar ./yanzhu/modules/file/jar

echo "begin copy yanzhu-modules-job "
cp ../yanzhu-modules/yanzhu-job/target/yanzhu-modules-job.jar ./yanzhu/modules/job/jar

echo "begin copy yanzhu-modules-gen "
cp ../yanzhu-modules/yanzhu-gen/target/yanzhu-modules-gen.jar ./yanzhu/modules/gen/jar

